Bio::Assembly::Singlet(3)

NAME
Bio::Assembly::Singlet - Perl module to hold and manipulate
                     singlets from sequence assembly contigs.

SYNOPSYS
    # Module loading
    use Bio::Assembly::IO;

    # Assembly loading methods
    $aio = new Bio::Assembly::IO(-file=>"test.ace.1",
                               -format=>'phrap');

    $assembly = $aio->next_assembly;
    foreach $singlet ($assembly->all_singlets) {
      # do something
    }

DESCRIPTION
A singlet is a sequence that phrap was unable to align to any other sequences.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing lists Your participation is much appreciated.

  bioperl-l@bioperl.org                 - General discussion
  http://bio.perl.org/MailList.html     - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Chad S. Matsalla
bioinformatics1 at dieselwurks.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  seq_to_singlet
    Title   : seq_to_singlet
    Usage   : my $singlet = $io->seq_to_singlet($seq)
    Function: Wrap the information for a singlet as a Bio::Assembly::Singlet
    Returns : A Bio::Assembly::Singlet object
    Args    : A Bio::Seq-compliant object

  id
    Title   : id
    Usage   : my $id = $singlet->id('chad matsalla')
    Function:
    Returns :
    Args    :

  seqref
    Title   : seqref
    Usage   : my $seqref = $singlet->seqref($seq);
    Function: Set the sequence to which this Singlet refers
    Returns : A Bio::Seq-compliant object
    Args    :

  chromatfilename
    Title   : chromatfilename
    Usage   : my $chromatfilename = $singlet->chromatfilename($newfilename);
    Function: Get the name of the chromatfile for this singlet
    Returns : A string.
    Args    : If a string is provided, the chromatfilename will be set to that value.

  phdfilename
    Title   : phdfilename
    Usage   : my $phdfilename = $singlet->phdfilename($newfilename);
    Function: Get the name of the phdfile for this singlet
    Returns : A string.
    Args    : If a string is provided, the phdfilename will be set to that value.